Ad Domain Analytics
curl --request GET \
--url https://server.promptwatch.com/api/v2/ads/domain-analytics \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v2/ads/domain-analytics"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v2/ads/domain-analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"topDomains": [
{
"domain": "<string>",
"occurrences": 123
}
],
"daily": [
{
"date": "2023-12-25",
"domains": [
{
"domain": "<string>",
"occurrences": 123
}
]
}
]
}{
"error": "Bad Request",
"code": "DATE_RANGE_TOO_LARGE",
"message": "Date range cannot exceed 90 days"
}{
"error": "Unauthorized",
"message": "Missing or invalid X-API-Key header."
}{
"code": "ADS_RADAR_PLAN_REQUIRED",
"message": "Ads Radar is not available on your current plan"
}{
"code": "ADS_RADAR_PLAN_REQUIRED",
"message": "Ads Radar is not available on your current plan"
}Ads Radar
Ad Domain Analytics
Top advertiser domains with daily ad counts (defaults to the last 90 days)
GET
/
ads
/
domain-analytics
Ad Domain Analytics
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Query Parameters
Filter ads captured from this date (ISO 8601)
Filter ads captured until this date (ISO 8601)
Filter by LLM model IDs. Repeat for multiple: models=x&models=y
Filter by prompt type. Repeat for multiple values.
Available options:
ORGANIC, BRAND_SPECIFIC, COMPETITOR_COMPARISON Filter by prompt intent. Repeat for multiple values.
Available options:
BRANDED, INFORMATIONAL, NAVIGATIONAL, COMMERCIAL, TRANSACTIONAL Filter by advertiser root domain. Repeat for multiple values.